Verified Commit 3f33a650 authored by Iain Lane's avatar Iain Lane Committed by Iain Lane

build-Don-t-check-for-libecal.patch: Drop libecal BD

There's an API break coming up, and we can get abiword out of the transition by
dropping it. It's not used.
parent a7023096
abiword (3.0.2-9) unstable; urgency=medium
* QA upload.
* build-Don-t-check-for-libecal.patch: Drop libecal BD. There's an API break
coming up, and we can get abiword out of the transition by dropping it.
It's not used.
-- Iain Lane <laney@debian.org> Wed, 14 Aug 2019 09:40:20 +0100
abiword (3.0.2-8) unstable; urgency=medium
* QA upload.
......
......@@ -13,7 +13,6 @@ Build-Depends: bison,
libchamplain-gtk-0.12-dev,
libebook1.2-dev (>= 3.8.5),
libical-dev (>= 3.0),
libecal1.2-dev (>= 3.8.5),
libenchant-dev,
libfribidi-dev,
libgcrypt20-dev,
......@@ -117,7 +116,6 @@ Depends: gir1.2-abi-3.0 (= ${binary:Version}),
libabiword-3.0 (= ${binary:Version}),
libcairo-dev | libcairo2-dev,
libebook1.2-dev,
libecal1.2-dev,
libenchant-dev,
libfribidi-dev,
libglib2.0-dev,
......
From f9ea6735a5a3b287c957a04d5395df1ee6787cab Mon Sep 17 00:00:00 2001
From: Iain Lane <iain.lane@canonical.com>
Date: Wed, 14 Aug 2019 09:36:43 +0100
Subject: [PATCH] build: Don't check for libecal
We use libebook only, not libecal. In version 3.33, libecal has changed
API name and so this unnecessary check will start to break the build of
AbiWord soon.
Forwarded: https://gitlab.gnome.org/World/AbiWord/merge_requests/3
---
configure.ac | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/configure.ac b/configure.ac
index 7d1fd6ea7..4eb6afc80 100644
--- a/configure.ac
+++ b/configure.ac
@@ -418,9 +418,9 @@ AM_CONDITIONAL([WITH_REDLAND], test "$abi_cv_redland" = "yes")
AM_CONDITIONAL([HAVE_REDLAND], test "$abi_cv_redland" = "yes")
-evolution_data_server_req='libebook-1.2 >= 3.6 libecal-1.2'
+evolution_data_server_req='libebook-1.2 >= 3.6'
AC_ARG_WITH([evolution_data_server],
- [AS_HELP_STRING([--with-evolution-data-server], [Use Evolution Data Server to get at contact and calendar information])],
+ [AS_HELP_STRING([--with-evolution-data-server], [Use Evolution Data Server to get at contact information])],
[
abi_cv_evolution_data_server="$withval"
],[
--
2.20.1
......@@ -10,3 +10,4 @@ build-with-aiksaurus-1-2.patch
gtk322.patch
fix-flickering.patch
libical3.diff
build-Don-t-check-for-libecal.patch
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment